
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8UB1_Register_Enums.h>                  // SFR declarations
#include "InitDevice.h"
#include "LCDText_Defs.h"

//variables
bit CLEAR_PREV_LINE = 0;
unsigned char Scroll_LineNum = 0;

//-----------------------------------------------------------------------------
// main() Routine
// ----------------------------------------------------------------------------
int main (void)
{
	// Call hardware initialization routine
	enter_DefaultMode_from_RESET();

	InitLCD();										//clear the LCD screen to all white

	SFRPAGE = TIMER2_PAGE;
	TMR2CN0_TR2 = 1;							//start Timer2, which is used to schedule LCD updates

	while (1) 
   {
			InsertCharacter(LCD_A); InsertCharacter(LCD_B); InsertCharacter(LCD_C); InsertCharacter(LCD_D); InsertCharacter(LCD_E);
			InsertCharacter(LCD_F); InsertCharacter(LCD_G); InsertCharacter(LCD_H); InsertCharacter(LCD_I); InsertCharacter(LCD_J);
			InsertCharacter(LCD_K); InsertCharacter(LCD_L); InsertCharacter(LCD_M); InsertCharacter(LCD_N); InsertCharacter(LCD_O);
			InsertCharacter(LCD_P); InsertCharacter(LCD_Q); InsertCharacter(LCD_R); InsertCharacter(LCD_S); InsertCharacter(LCD_T);
			InsertCharacter(LCD_U); InsertCharacter(LCD_V); InsertCharacter(LCD_W); InsertCharacter(LCD_X); InsertCharacter(LCD_Y);
			InsertCharacter(LCD_Z);
   }
}
